Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.swift.egategui.pe
Class BpelEditorActivityCookie

    java.lang.Object
      com.stc.swift.egategui.pe.BpelEditorActivityCookie

All Implemented Interfaces:
  com.stc.bpms.common.integration.cookie.ArtifactNodeCookie, com.stc.bpms.common.integration.cookie.BaseCallableCookie, com.stc.bpms.common.integration.cookie.CallableCookie, com.stc.bpms.common.integration.cookie.ProjectElementRefCookie, org.openide.nodes.Node.Cookie

    public class BpelEditorActivityCookie

extends java.lang.Object
implements com.stc.bpms.common.integration.cookie.CallableCookie, com.stc.bpms.common.integration.cookie.ProjectElementRefCookie

`Nodes` dropped into the BPEL Editor canvas to represent activities, such as eWay OTD operation nodes, use this cookie to relay their information to the BPEL Editor.

Version:
  $Revision: 1.2 $

Field Summary

Fields inherited from interface com.stc.bpms.common.integration.cookie.BaseCallableCookie
`CLIENT_OPERATION_MODE, DYNAMIC_OPERATION_MODE, SERVER_OPERATION_MODE`

Constructor Summary
`BpelEditorActivityCookie(com.stc.model.common.ProjectElement elem, com.stc.bpms.common.integration.model.wsdlproducer.WSDLProducer wsdlSrc, java.lang.String partnerName, java.lang.String portTypeName, java.lang.String opName, java.lang.String opMode)` Create a BpelEditorActivityCookie.

Method Summary
`java.lang.String` | `getOperationMode()` Get the mode of the operation.
`java.lang.String` | `getOperationName()` Get the operation name associated with the represented activity.
`java.lang.String` | `getPartnerName()` Get the partner name associated with the represented activity.
`java.lang.String` | `getPortTypeName()` Get the port type name associated with the represented activity.
`com.stc.model.common.ProjectElement` | `getProjectElement()` Get the ProjectElement representation of this cookie's subject.
`com.stc.repository.RepositoryObject` | `getRepositoryObject()` Get the Web Service metadata associated with this cookie's subject.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BpelEditorActivityCookie

    public BpelEditorActivityCookie(com.stc.model.common.ProjectElement elem,
                                    com.stc.bpms.common.integration.model.wsdlproducer.WSDLProducer wsdlSrc,
                                    java.lang.String partnerName,
                                    java.lang.String portTypeName,
                                    java.lang.String opName,
                                    java.lang.String opMode)

  Create a BpelEditorActivityCookie.

  Parameters:
    `elem` - ProjectElement manifestation of cookie's subject
    `wsdlSrc` - Web Service information of this cookie's subject
    `partnerName` - Partner name associated to the represented activity
    `portTypeName` - Name of the PortType to use from the supplied web service information
    `opName` - Name of Operation to use from the supplied web service information
    `opMode` - `BaseCallableCookie.CLIENT_OPERATION_MODE` or `BaseCallableCookie.SERVER_OPERATION_MODE`.

Method Detail

### getProjectElement

    public com.stc.model.common.ProjectElement getProjectElement()

  Get the ProjectElement representation of this cookie's subject.

  Specified by:
    `getProjectElement` in interface `com.stc.bpms.common.integration.cookie.ProjectElementRefCookie`

### getPartnerName

    public java.lang.String getPartnerName()

  Get the partner name associated with the represented activity.

  Specified by:
    `getPartnerName` in interface `com.stc.bpms.common.integration.cookie.BaseCallableCookie`

### getPortTypeName

    public java.lang.String getPortTypeName()

  Get the port type name associated with the represented activity.

  Specified by:
    `getPortTypeName` in interface `com.stc.bpms.common.integration.cookie.BaseCallableCookie`

### getOperationName

    public java.lang.String getOperationName()

  Get the operation name associated with the represented activity.

  Specified by:
    `getOperationName` in interface `com.stc.bpms.common.integration.cookie.BaseCallableCookie`

### getRepositoryObject

    public com.stc.repository.RepositoryObject getRepositoryObject()

  Get the Web Service metadata associated with this cookie's subject.

  Specified by:
    `getRepositoryObject` in interface `com.stc.bpms.common.integration.cookie.ArtifactNodeCookie`

### getOperationMode

    public java.lang.String getOperationMode()

  Get the mode of the operation. This method should return either CallableCookie.CLIENT_OPERATION_MODE or CallableCookie.SERVER_OPERATION_MODE

  Specified by:
    `getOperationMode` in interface `com.stc.bpms.common.integration.cookie.BaseCallableCookie`
  Returns:
    String The operation mode

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.